See the top rated post in this thread. Click here

Page 3 of 3 FirstFirst 123
Results 21 to 25 of 25

Thread: Create a Selection set from Civil 3D point group or point description.

  1. #21
    AUGI Addict
    Join Date
    2015-12
    Location
    Arizona
    Posts
    2,478
    Login to Give a bone
    1

    Default Re: Create a Selection set from Civil 3D point group or point description.

    Considering this, I would go a bit further and suggest that you use the Survey Data Base, and create unique Import Evens for the various point(s) groupings.

    Two reasons, first each Import Event creates a Point Group by default.
    Second the point database provides a layer of 'security' in that the points are not easily simply deleted from the file.

  2. #22
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    1

    Default Re: Create a Selection set from Civil 3D point group or point description.

    Quote Originally Posted by rickquin651723 View Post
    Well, back in the day when I used Eagle Point, I could just do a crossing window and it would grab all the points within that window and ignore all the other geometry inside the window. I think it even told you how many nodes it found, which would be handy for this new drill I'm having to do. We have a new client with new needs!

    "I had way too much to say back then."........That's funny, I don't care who y'are
    Something like this?

    This mimics the output for the "Points_List" report.

    Code:
    (vl-load-com)
    
    (defun c:ListCogo (/ *error* acDoc ss data i)
    
      (defun *error* (msg)
        (if ss (vla-delete ss))
        (cond ((not msg))                                                   ; Normal exit
              ((member msg '("Function cancelled" "quit / exit abort")))    ; <esc> or (quit)
              ((princ (strcat "\n** Error: " msg " ** ")))                  ; Fatal error, display it
        )
        (princ)
      )
    
      (if (ssget "_:L" '((0 . "AECC_COGO_POINT")))
        (progn
          (vlax-for	x (setq	ss
    			 (vla-get-activeselectionset
    			   (setq acDoc (vla-get-activedocument
    					 (vlax-get-acad-object)
    				       )
    			   )
    			 )
    		  )
    	(setq data (cons x data))
          )
          (setq i (length data))
          (vl-sort
    	data
    	(function
    	  (lambda (a b)
    	    (< (vlax-get a 'number) (vlax-get b 'number))
    	    )
    	  )
    	)
          (prompt
    	(strcat	"\nTotal COGO Point"
    		(if (< 1 i)
    		  "s: "
    		  ": "
    		)
    		(itoa i)
    		"\n "
    	)
          )
          (prompt "\nNumber\tNorthing  \t\tEasting\t\tElevation \t Description \n")
          (foreach x data
    	(prompt
    	  (strcat
    	    " \n"
    	    (itoa (vlax-get x 'number))
    	    " \t"
    	    (rtos (vlax-get x 'northing))
    	    " \t"
    	    (rtos (vlax-get x 'easting))
    	    " \t"
    	    (rtos (vla-get-elevation x))
    	    " \t"
    	    (vla-get-description x)
    	    )
    	  )
    	)
          (textscr)
        )
      )
    
      (*error* nil)
    )
    ** Adjust the formatting/padding as needed

    [Edit] - revised to sort the points prior to output
    Last edited by BlackBox; 2021-05-25 at 02:49 PM.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  3. #23
    Active Member
    Join Date
    2015-10
    Posts
    73
    Login to Give a bone
    0

    Default Re: Create a Selection set from Civil 3D point group or point description.

    Good morning BlackBox. I have just revisited this thread and found that you had posted some code in an answer to some of our questions about listing points. The code you posted does EXACTLY what I was after. Thank you so much. After I found the thread and copied the code I couldn't find your post to thank you. Weird. Thanks again.

  4. #24
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Create a Selection set from Civil 3D point group or point description.

    Quote Originally Posted by rickquin651723 View Post
    Good morning BlackBox. I have just revisited this thread and found that you had posted some code in an answer to some of our questions about listing points. The code you posted does EXACTLY what I was after. Thank you so much. After I found the thread and copied the code I couldn't find your post to thank you. Weird. Thanks again.
    Happy to help
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #25
    Active Member
    Join Date
    2015-10
    Posts
    73
    Login to Give a bone
    1

    Default Re: Create a Selection set from Civil 3D point group or point description.

    Yes!!! That's it. perfect! Thank you, BlackBox!

Page 3 of 3 FirstFirst 123

Similar Threads

  1. 2014: Description Key Sets - Moving Points to the correct Point Group
    By Iceberg in forum AutoCAD Civil 3D - Surfaces
    Replies: 8
    Last Post: 2014-03-11, 04:09 PM
  2. Civil 3D 2009 point group question
    By villalobosg in forum AutoCAD Civil 3D - General
    Replies: 0
    Last Post: 2008-12-18, 03:07 PM
  3. Picking points in order to create a point group in Civil 3D 2007
    By wcarter in forum AutoCAD Civil 3D - General
    Replies: 3
    Last Post: 2006-11-03, 08:34 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •